Name:           perl-re-engine-PCRE2
Version:        0.16
Release:        1%{?dist}
Summary:        PCRE2 regular expression engine for Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/re-engine-PCRE2
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/re-engine-PCRE2-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pcre2-devel
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.10
# Alien::PCRE2 is not helpful
BuildRequires:  perl(Config)
# Devel::CheckLib 1.00 is not helpful
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(re)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This Perl module replaces perl's regex engine in a given lexical scope with
PCRE2 regular expressions provided by libpcre2-8.

%prep
%setup -q -n re-engine-PCRE2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset PERL_SKIP_PSYCHO_TEST RELEASE_TESTING
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/re*
%{_mandir}/man3/*

%changelog
* Thu May 16 2019 Petr Pisar <ppisar@redhat.com> - 0.16-1
- 0.16 bump

* Wed May 15 2019 Petr Pisar <ppisar@redhat.com> - 0.15-2
- Fix a race in t/gh29-segv.t test (upstream bug #34)

* Mon Apr 08 2019 Petr Pisar <ppisar@redhat.com> - 0.15-1
- 0.15 bump

* Fri Sep 14 2018 Petr Pisar <ppisar@redhat.com> - 0.14-6
- Adjust tests to PCRE2-10.32 (bug #1624362)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-4
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 25 2017 Petr Pisar <ppisar@redhat.com> - 0.14-1
- 0.14 bump

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.13-2
- Perl 5.26 rebuild

* Fri May 05 2017 Petr Pisar <ppisar@redhat.com> - 0.13-1
- 0.13 bump

* Tue Apr 25 2017 Petr Pisar <ppisar@redhat.com> - 0.11-2
- Fix retrieving JIT_SIZE (bug #1445223)

* Fri Apr 21 2017 Petr Pisar <ppisar@redhat.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
